*Följande kod skapar en Excel-fil med listor på de starkaste relationerna
*för utvalda branscher. Man måste köra do-filen i sin helhet för att den ska fungera.
*Punkterna 1-3 måste ställas in.

*1. Ange vilken SNI-nivå som avses (I exemplet den 5-siffriga nivån av SNI 2007)
local sni_niva sni07_5

*2. Ange sökväg till mappen där relatedness matrisen ligger
cd "[sökväg här]"

*3. Ange koderna för den eller de industrier som ska inkluderas (i exemplet 73111, 75000 och 21200)
global industrier 73111 75000 21200 

foreach industry in $industrier {

use `sni_niva'_relatedness, clear
*Alternativt kan man välja att importera från .csv istället
*import delimited "`sni_niva'_relatedness.csv", delimiter(tab) encoding(UTF-8) clear 	
	
	keep if `sni_niva'_i==`industry'
	capture decode sni07_5_i, gen(sni07_5_i_text)
	capture decode sni07_5_j, gen(sni07_5_j_text)	
	keep `sni_niva'_i_text `sni_niva'_j_text rel_index rel_index_hogink rel_index_hogutb
	drop if rel_index==1
	gen neg_index = rel_index*-1
	sort neg_index
	gen rank=_n
	drop neg_index
	order  rank sni07_5_i_text sni07_5_j_text rel_index rel_index_hogink rel_index_hogutb
	
	export excel using "Starkaste relationer för utvalda industrier, `sni_niva'.xls", sheet("`industry'") firstrow(variables) sheetmodify keepcellfmt

}